| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxMessageOutputMessageBox Class Reference
Logging

`#include <wx/msgout.h>`

Inheritance diagram for wxMessageOutputMessageBox:
[legend]

## Detailed Description

Output messages by showing them in a message box.

This class is only available to GUI applications, unlike all the other wxMessageOutput-derived classes.

##

Library: wxCore
Category: Logging

## Public Member Functions
| wxMessageOutputMessageBox ()
| Default constructor.
Public Member Functions inherited from wxMessageOutput
void | Printf (const wxString &format,...)
| Output a message.
virtual void | Output (const wxString &str)=0
| Method called by Printf() to really output the text.

## Additional Inherited Members
Static Public Member Functions inherited from wxMessageOutput
static wxMessageOutput * | Get ()
| Return the global message output object.
static wxMessageOutput * | Set (wxMessageOutput *msgout)
| Sets the global message output object.

## Constructor & Destructor Documentation

wxMessageOutputMessageBox::wxMessageOutputMessageBox | ( |  | ) |

Default constructor.